It would even be possible to have it check whether there are any such Layers in the drawing already. If not, it could offer you "A-Rev-Cloud1" as a default that you could just accept, or if there are any already, it could offer you the name with the next as-yet-unused number at the end, as a default. In either case it could let you specify a suffix number that is not the next one, if you have a reason to. Would something like that suit your purpose?
EDIT: Just because -- for example:
(defun C:RCL# ; = make or set Revision Cloud Layer with # suffix
(/ suf layname)
(setq suf 0)
(while (tblsearch "layer" (strcat "A-Rev-Cloud" (itoa (setq suf (1+ suf))))))
(initget 6); no zero, no negative
(setq layname
(strcat
"A-Rev-Cloud"
(itoa
(cond
( (getint
(strcat
"\nRevision Cloud Layer number <"
(itoa suf)
">: "
); strcat
); getint
); User-input condition
(suf); on Enter to accept default
); cond
); itoa
); strcat
); setq
(command "_.layer" "_make" layname "_color" 2 "" ""); <--EDIT color
(prin1)
)
Edit the desired Layer color, and add other options if you like. [It assumes you would want that to be the same for all such Layers.]
It offers as default the next available number, but you can enter any number you want if you don't want the default that it's offering. So you can set an earlier revision-number Layer current if you need to, such as to just get into the current one rather than make another [type in one less than it's offering]. Or you can even jump beyond the next available number if you have reason to omit intervening numbers. If the Layer with the number doesn't exist, it will make it. If it does already, it will simply become current.
Kent Cooper, AIA